Loading...
Searching...
No Matches
aastringcodec.h File Reference

code and decodefrom amino acid string to integer More...

`#include "../exportinmportconfig.h"`
`#include "aacode.h"`

Go to the source code of this file.

## Classes

struct | pappso::CodeToMass
class | pappso::AaStringCodec

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< const AaStringCodec > | pappso::AaStringCodecSp
| shared pointer on a Protein object

## Detailed Description

code and decodefrom amino acid string to integer

Date
  09/05/2023

Author
  Olivier Langella

Definition in file aastringcodec.h.